---------------------------------
-- DB Sequences for Auto-GEN PKs
---------------------------------

CREATE SEQUENCE SQ_BANK_ACCOUNT_PK
START WITH 18
INCREMENT BY 1;

CREATE SEQUENCE SQ_BANK_USERS_PK
START WITH 5
INCREMENT BY 1;


---------------------------------
-- DB Triggers for Auto-GEN PKs
---------------------------------

CREATE OR REPLACE TRIGGER TR_INSERT_BANK_ACCOUNT_PK
BEFORE INSERT ON BANK_ACCOUNTS 
FOR EACH ROW
BEGIN
	SELECT SQ_BANK_ACCOUNT_PK.NEXTVAL INTO :NEW.ACCOUNT_NUMBER FROM DUAL;	
END;
/


CREATE OR REPLACE TRIGGER TR_INSERT_BANK_USERS_PK
BEFORE INSERT ON BANK_USERS 
FOR EACH ROW
BEGIN
	SELECT SQ_BANK_USERS_PK.NEXTVAL INTO :NEW.USER_NUMBER FROM DUAL;	
END;
/